
--/**
-- * "inherit" the preexisting FormatData to change it's behaviour:
-- * Visually group the build icons by 4, instead of land/sea (default)
-- */
local originalFormatData = FormatData 

function FormatData(unitData, type)
	
	retData= originalFormatData(unitData, type) 
	
	if type == 'construction' then
		-- remove all spacers
		i= 1
		while i <= table.getn(retData) do
			if retData[i]['type'] == 'spacer' then
				table.remove(retData, i)
			end
			i= i+1
		end
		-- insert spacers between a group of 4 icons
		i= 5
		while i <= table.getn(retData) do
			table.insert(retData, i, {type = 'spacer'})
			i= i+5
		end
	end
	return retData
end
