--/**
-- * This script will be appended on game load.
-- * Creates "Build slot X" keyactions (which can be bound with Goom's GUI Mod (F1 Key))
-- */
local KeyMapper = import('/lua/keymap/keymapper.lua')
local keydesc = import('/lua/keymap/keydescriptions.lua').keyDescriptions
for num= 1, 12 do
	-- remove old (version 1) bindings
	KeyMapper.SetUserKeyAction('build_slot_'..num, nil)
	
	for shiftNum, shiftStr in {[0]= '', [1]= ' (Shift Key)'} do
		-- set action for slot
		KeyMapper.SetUserKeyAction('build_slot_'..num..'_'..shiftNum, {action =  'UI_Lua import("/mods/buildslots/buildslots/fun.lua").buildSlot('..num..', '..shiftNum..')', category = 'user', order = 2300+(num*2+shiftNum)})
		
		-- set name for slot
		str= 'Build slot '
		if(num<10)
		then
			str= str..'0'
		end
		keydesc['build_slot_'..num..'_'..shiftNum]= str..num..shiftStr
	end
end
KeyMapper.SetUserKeyAction('build_switch_techtab', {action =  'UI_Lua import("/mods/buildslots/buildslots/fun.lua").switchTechTab()', category = 'user', order = 2400})
keydesc['build_switch_techtab']= 'Switch between the template tab and the highest tech tab'

